> For the complete documentation index, see [llms.txt](https://docs.garryhost.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.garryhost.com/api/introduction.md).

# Introduction

## Introduction <a href="#introduction" id="introduction"></a>

Welcome to the GarryPanel API documentation.

The API makes use of POST, GET, PATCH and DELETE requests.

## Authentication <a href="#authentication" id="authentication"></a>

> To authorize, use this code:

```php
# With shell, you can just pass the correct header with each request
curl "api_endpoint_here"
  -H "Authorization: Bearer api"
  -H "Content-Type: application/json" \
  -H "Accept: Application/vnd.pterodactyl.v1+json" \
```

> Make sure to replace `api` with your API key.

You can obtain an API key from the Account API page within Pterodactyl. Remember, protect your API key as if it was a password.

We expect the API key to be included in all API requests to the server in a header that looks like the following:

`Authorization: Bearer api` You must replace `api` with your API key.

## Ratelimits <a href="#ratelimits" id="ratelimits"></a>

To prevent abuse, the GarryPanel API has a ratelimit in place.

Up to 60 requests are allowed per minute.

The amount of requests left can be found within the reply header.

| Header                | Description                                    |
| --------------------- | ---------------------------------------------- |
| x-ratelimit-limit     | The amount of API requests allowed per minute. |
| x-ratelimit-remaining | The amount of API requests left.               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.garryhost.com/api/introduction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
